searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"ExqUIWeb.Router.html","title":"ExqUIWeb.Router","type":"module"},{"doc":"Exposes ExqUI web interface at the specified\n`path`. `Phoenix.LiveView.Router.live_session/3` is used to wrap all\nthe live routes.","ref":"ExqUIWeb.Router.html#live_exq_ui/2","title":"ExqUIWeb.Router.live_exq_ui/2","type":"macro"},{"doc":"* live_session_name - Name of the live_session. Defaults to `:exq_ui`\n* live_socket_path - Should match the value used for `socket \"/live\", Phoenix.LiveView.Socket`. Defaults to `/live`\n* live_session_on_mount - Declares an optional module callback to be invoked on the LiveView's mount","ref":"ExqUIWeb.Router.html#live_exq_ui/2-options","title":"Options - ExqUIWeb.Router.live_exq_ui/2","type":"macro"},{"doc":"# Changelog\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/).\n\n## [Unreleased]\n\n## [0.16.0] - 2025-03-01","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"- Add support for Phoenix html 4 #149 @Hermanlangner and @ananthakumaran\n\n\n## [0.15.0] - 2024-06-18","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Don't toggle switches on websocket reconnects\n\n## [0.14.0] - 2023-08-20","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Add support for phx-live 0.19 and phx 1.7 by @ananthakumaran","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Drop support for LiveView 0.17\n\n## [0.13.0] - 2022-11-25","ref":"changelog.html#breaking-changes","title":"Breaking Changes - Changelog","type":"extras"},{"doc":"- Add support for exq_scheduler on UI #124 by @ananthakumaran","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Add support for phx-live 0.18 #125 by @ananthakumaran","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Drop support for LiveView 0.16\n\n## [0.12.3] - 2022-08-12","ref":"changelog.html#breaking-changes","title":"Breaking Changes - Changelog","type":"extras"},{"doc":"- respect live_socket_path config option #119 by @ananthakumaran\n\n## [0.12.2] - 2022-05-07","ref":"changelog.html#fixed","title":"Fixed - Changelog","type":"extras"},{"doc":"- Fix compile issue for missing id attribute #117 by @williamweckl\n\n## [0.12.1] - 2022-02-15","ref":"changelog.html#fixed","title":"Fixed - Changelog","type":"extras"},{"doc":"- Support phoenix\\_live\\_view 0.17 #109 by @ananthakumaran\n- Add :live_session_on_mount option #110 by @neslinesli93\n- Add toggle switch per node to unsubscibe from all queues #114 by @ananthakumaran","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Use relative time format #113 by @ananthakumaran\n- improve table layout #111 by @ananthakumaran\n\n## [0.12.0] - 2021-12-12","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Complete rewrite using Phoenix Liveview #102 by @ananthakumaran!! NOTE: Needs upgrade of Exq to 0.16.0.","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"","ref":"changelog.html#fixed","title":"Fixed - Changelog","type":"extras"},{"doc":"- Add more options to scheduled and retry page #104 by @ananthakumaran\n\n\n## [0.11.1] - 2021-09-06","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Avoid JsonApi module class by adding ExqUi prefix by @yknx4\n- Fix warming on Erlang release greater than 21 by @AllanKlaus\n- Fix busy tab display by Chau Hong Linh","ref":"changelog.html#fixed","title":"Fixed - Changelog","type":"extras"},{"doc":"- Upgrade Ember CLI by Chau Hong Linh","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Add visibility into failed jobs by @drteeth #77","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"# ExqUI\n\n[![Hex.pm](https://img.shields.io/hexpm/v/exq_ui.svg)](https://hex.pm/packages/exq_ui)\n\nExqUI provides a UI dashboard for [Exq](https://github.com/akira/exq), a job processing library\ncompatible with Resque / Sidekiq for the Elixir language. ExqUI allow\nyou to see various job processing stats, as well as details on failed,\nretried, scheduled jobs, etc.","ref":"readme.html","title":"ExqUI","type":"extras"},{"doc":"1. ExqUI depends on the [api server](https://hexdocs.pm/exq/Exq.Api.html#content) component of the [exq](https://github.com/akira/exq). The\n   user of ExqUI is expected to start the Exq with proper config. The\n   only config required on ExqUI side is the name of the api\n   server. It's set to Exq.Api by default.\n\n   ```elixir\n   config :exq_ui,\n     api_name: Exq.Api\n   ```\n   There are two typical scenarios\n\n   If ExqUI is embedded in a worker node which runs exq jobs, then\n   nothing special needs to be done. Exq by default starts the api\n   server on all worker nodes.\n\n   If ExqUI needs to be embedded in a node which is not a worker, then\n   Exq can be started in `api` mode, which will only start the api\n   gen server and will not pickup jobs for execution. This can be done\n   by configuring the `mode`.\n\n   ```elixir\n   config :exq,\n     mode: :api\n   ```\n\n1. ExqUI uses Phoenix LiveView. If you already use LiveView, skip to\nnext step. Otherwise follow LiveView [installation docs](https://hexdocs.pm/phoenix_live_view/installation.html).\n\n1. In your phoenix router import `ExqUIWeb.Router` and add\n`live_exq_ui(path)`\n\n```elixir\ndefmodule DemoWeb.Router do\n  use Phoenix.Router\n  import ExqUIWeb.Router\n\n  pipeline :browser do\n    plug :fetch_session\n    plug :protect_from_forgery\n  end\n\n  scope \"/\", DemoWeb do\n    pipe_through :browser\n\n    live_exq_ui(\"/exq\")\n  end\nend\n```","ref":"readme.html#configuration","title":"Configuration - ExqUI","type":"extras"},{"doc":"ExqUI provides support for [Exq Scheduler](https://github.com/activesphere/exq-scheduler). It can be enabled by\ngiving a name to exq scheduler and specifying the same name in exq ui config.\n\n```elixir\nconfig :exq_scheduler,\n  name: ExqScheduler\n\nconfig :exq_ui,\n  exq_scheduler_name: ExqScheduler\n```","ref":"readme.html#exq-scheduler","title":"Exq Scheduler - ExqUI","type":"extras"},{"doc":"```sh\nmix setup # on first run\nmix run --no-halt dev.exs\nopen http://localhost:4000/exq\n```","ref":"readme.html#development","title":"Development - ExqUI","type":"extras"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}